<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPEGodRays.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/de7/_p_p_e_god_rays_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEGodRays.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/de7/_p_p_e_god_rays_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/ded/class_p_p_e_god_rays.html">PPEGodRays</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#a8cdf015f0a691099edea3b64f6ba7a6d">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#a8cdf015f0a691099edea3b64f6ba7a6d">PARAM_INTENSITY</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#ac3f1903e816e5f20d74ad2a955f7d9a9">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ac3f1903e816e5f20d74ad2a955f7d9a9">PARAM_SUNVISIBLE</a> = 1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#ac75e874a4238183bdd1ae2cb32384753">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ac75e874a4238183bdd1ae2cb32384753">PARAM_OVERBURNINTENSITY</a> = 2;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#ae7b5c4dcf751592f48584e38fa7f76aa">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ae7b5c4dcf751592f48584e38fa7f76aa">PARAM_OVERBURNSTART</a> = 3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#a6f4b3b2e85d6c47aa2e75eed386fcfa1">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#a6f4b3b2e85d6c47aa2e75eed386fcfa1">PARAM_OVERBURNEND</a> = 4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    <span class="comment">//static const int PARAM_SUNMASKMAT = 5; //Warning, not to be used until DECLARE_RESOURCE_NAME solution is implemented!</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#ac1a7fc63e470462ea4a794d60c51b981">   11</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ac1a7fc63e470462ea4a794d60c51b981">L_0_GLASSES</a> = 100;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#a75b5a3020fa9f3a773883ed2298cfb4e">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/ded/class_p_p_e_god_rays.html#a75b5a3020fa9f3a773883ed2298cfb4e">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.GodRays;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#a8b5eed91acb7fc07070699ec4e09309b">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d5/ded/class_p_p_e_god_rays.html#a8b5eed91acb7fc07070699ec4e09309b">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/godrayssun&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d5/ded/class_p_p_e_god_rays.html#aa0f36addd15422c30506fa6b2fff89b6">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/ded/class_p_p_e_god_rays.html#aa0f36addd15422c30506fa6b2fff89b6">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#a8cdf015f0a691099edea3b64f6ba7a6d">PARAM_INTENSITY</a>,<span class="stringliteral">&quot;Intensity&quot;</span>,0.8,0,1);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ac3f1903e816e5f20d74ad2a955f7d9a9">PARAM_SUNVISIBLE</a>,<span class="stringliteral">&quot;SunVisible&quot;</span>,1.0,0,1);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ac75e874a4238183bdd1ae2cb32384753">PARAM_OVERBURNINTENSITY</a>,<span class="stringliteral">&quot;OverBurnIntensity&quot;</span>,0.25,0,1);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#ae7b5c4dcf751592f48584e38fa7f76aa">PARAM_OVERBURNSTART</a>,<span class="stringliteral">&quot;OverBurnStart&quot;</span>,0.025,0,1);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../d5/ded/class_p_p_e_god_rays.html#a6f4b3b2e85d6c47aa2e75eed386fcfa1">PARAM_OVERBURNEND</a>,<span class="stringliteral">&quot;OverBurnEnd&quot;</span>,0.175,0,1);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="comment">//TODO</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment">//SunMaskMat - DECLARE_RESOURCE_NAME</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>}</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html">PPEGodRays</a></div><div class="ttdoc">GodRays - PostProcessEffectType.GodRays.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00002">PPEGodRays.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_a6f4b3b2e85d6c47aa2e75eed386fcfa1"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#a6f4b3b2e85d6c47aa2e75eed386fcfa1">PPEGodRays::PARAM_OVERBURNEND</a></div><div class="ttdeci">static const int PARAM_OVERBURNEND</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00008">PPEGodRays.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_a75b5a3020fa9f3a773883ed2298cfb4e"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#a75b5a3020fa9f3a773883ed2298cfb4e">PPEGodRays::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00013">PPEGodRays.c:13</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_a8b5eed91acb7fc07070699ec4e09309b"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#a8b5eed91acb7fc07070699ec4e09309b">PPEGodRays::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00018">PPEGodRays.c:18</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_a8cdf015f0a691099edea3b64f6ba7a6d"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#a8cdf015f0a691099edea3b64f6ba7a6d">PPEGodRays::PARAM_INTENSITY</a></div><div class="ttdeci">static const int PARAM_INTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00004">PPEGodRays.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_aa0f36addd15422c30506fa6b2fff89b6"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#aa0f36addd15422c30506fa6b2fff89b6">PPEGodRays::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00023">PPEGodRays.c:23</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_ac1a7fc63e470462ea4a794d60c51b981"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#ac1a7fc63e470462ea4a794d60c51b981">PPEGodRays::L_0_GLASSES</a></div><div class="ttdeci">static const int L_0_GLASSES</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00011">PPEGodRays.c:11</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_ac3f1903e816e5f20d74ad2a955f7d9a9"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#ac3f1903e816e5f20d74ad2a955f7d9a9">PPEGodRays::PARAM_SUNVISIBLE</a></div><div class="ttdeci">static const int PARAM_SUNVISIBLE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00005">PPEGodRays.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_ac75e874a4238183bdd1ae2cb32384753"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#ac75e874a4238183bdd1ae2cb32384753">PPEGodRays::PARAM_OVERBURNINTENSITY</a></div><div class="ttdeci">static const int PARAM_OVERBURNINTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00006">PPEGodRays.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_god_rays_html_ae7b5c4dcf751592f48584e38fa7f76aa"><div class="ttname"><a href="../../d5/ded/class_p_p_e_god_rays.html#ae7b5c4dcf751592f48584e38fa7f76aa">PPEGodRays::PARAM_OVERBURNSTART</a></div><div class="ttdeci">static const int PARAM_OVERBURNSTART</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de7/_p_p_e_god_rays_8c_source.html#l00007">PPEGodRays.c:7</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../d3/de7/_p_p_e_god_rays_8c.html">PPEGodRays.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
